5.3.0-git
2014-11-28

[#10508] Support customizable folder and filename in maildrop-backend for all ingo-generated maildrop files
Summary Support customizable folder and filename in maildrop-backend for all ingo-generated maildrop files
Queue Ingo
Queue Version Git master
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester stephan (at) admin (dot) nabira (dot) de
Created 2011-09-12 (1173 days ago)
Due
Updated 2013-02-01 (665 days ago)
Assigned
Resolved
Milestone
Patch No

History
2013-02-01 13:17:11 Jan Schneider State ⇒ Accepted
Version ⇒ Git master
 
2011-09-14 08:53:55 Jan Schneider Deleted Attachment: Recipe.php.diff
 
2011-09-14 08:53:50 Jan Schneider Deleted Attachment: Vfs.php.diff
 
2011-09-14 08:53:40 Jan Schneider Deleted Attachment: horde4-ingo-mailfilterfolders.zip
 
2011-09-12 16:03:35 stephan (at) admin (dot) nabira (dot) de Comment #4
New Attachment: Recipe.php.diff
Reply to this comment
Bad File Again. Another try with a single diff-file.
That previous file seems to work. This file resides in 
ingo/lib/Transport/Vfs.php

The file belonging to the diff posted with this comment is located in 
ingo/lib/Script/Maildrop/Recipe.php
2011-09-12 16:01:08 stephan (at) admin (dot) nabira (dot) de Comment #3
New Attachment: Vfs.php.diff
Reply to this comment
Bad File Again. Another try with a single diff-file.
2011-09-12 15:59:49 stephan (at) admin (dot) nabira (dot) de Comment #2
New Attachment: horde4-ingo-mailfilterfolders.zip
Reply to this comment
For some unknown reason the attached archive was rendered unusable by 
the ticketing system. I try it again with a zip-archive.
2011-09-12 15:56:36 stephan (at) admin (dot) nabira (dot) de Comment #1
State ⇒ New
New Attachment: horde4-ingo-mailfilterfolders.rar Download
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ingo
Priority ⇒ 2. Medium
Type ⇒ Enhancement
Summary ⇒ Support customizable folder and filename in maildrop-backend for all ingo-generated maildrop files
Reply to this comment
Ingo just supports maildrop scripts situated in a userfolder, for 
example: /home/%u/mailfilter
%u is substituted to "username" just for the path part, not the filename part.

I need the following substitution working when creating maildrop scripts:
/var/kunden/mailfilter/%u

The same is true for vacation helper files that need to be in a 
admin-configurable path and filenames like:
For the vacation message: /var/kunden/mailfilter/%u_vacation.msg
For the mailbot database: /var/kunden/mailfilter/%u_vacation

I have patched my installation in a way that works for me (with 
hardcoded paths and just for the maildrop-backend and vfs-transport), 
but I suppose this could be of interest to others. In this case there 
is some work necessary to generalise my customizations. I am not deep 
enough into the horde-code to do this myself, so I report this as 
enhancement request with my customizations attached in the hope they 
are useful.